Package net.shibboleth.spring.metadata.filter

# Class SignatureValidationCriteriaSetFactoryBean

java.lang.Object
net.shibboleth.spring.metadata.filter.SignatureValidationCriteriaSetFactoryBean

All Implemented Interfaces:
  `FactoryBean<CriteriaSet>`

public class SignatureValidationCriteriaSetFactoryBean extends Object implements FactoryBean<CriteriaSet>
Factory bean impl for producing a `CriteriaSet` instance specialized for signature validation use cases, such as input to the `SignatureValidationFilter`.

The supplied list of `SignatureValidationConfiguration` will be resolved into an instance of `SignatureValidationParameters` and returned in the criteria set. If `setIncludeOpenSAMLGlobalConfig(boolean)` is set true (the default), then the OpenSAML global configuration supplied from `SecurityConfigurationSupport.getGlobalSignatureValidationConfiguration()` will be effectively added at the lowest order of precedence. Resolution will be performed using the supplied instance of `SignatureValidationParametersResolver`, or if not supplied then an instance of `BasicSignatureValidationParametersResolver`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`includeOpenSAMLGlobalConfig`
Flag whether to include the OpenSAML global library-wide SignatureValidationConfiguration by default.
`private org.slf4j.Logger`
`log`
Logger.
`private Collection<Criterion>`
`otherCriteria`
Other supplied criteria.
`private List<SignatureValidationConfiguration>`
`signatureValidationConfigs`
Ordered collection of `SignatureValidationConfiguration`.
`private SignatureValidationParametersResolver`
`signatureValidationResolver`
The optional parameters resolver to use.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SignatureValidationCriteriaSetFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`CriteriaSet`
`getObject()`
`Class<?>`
`getObjectType()`
`boolean`
`isSingleton()`
`void`
`setIncludeOpenSAMLGlobalConfig(boolean flag)`
Flag whether to effectively include the OpenSAML library-wide default SignatureValidationConfiguration in the list of configurations to process.
`void`
`setOtherCriteria(Collection<Criterion> newCriteria)`
Other optional criteria to add to the returned set.
`void`
`setSignatureValidationConfigurations(List<SignatureValidationConfiguration> newConfigs)`
Set the list of signature validation configuration.
`void`
`setSignatureValidationParametersResolver(SignatureValidationParametersResolver newResolver)`
Set the parameters resolver instance to use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### signatureValidationConfigs

@Nullable private List<SignatureValidationConfiguration> signatureValidationConfigs
Ordered collection of `SignatureValidationConfiguration`.

### signatureValidationResolver

@Nullable private SignatureValidationParametersResolver signatureValidationResolver
The optional parameters resolver to use.

### otherCriteria

@Nullable private Collection<Criterion> otherCriteria
Other supplied criteria.

### includeOpenSAMLGlobalConfig

private boolean includeOpenSAMLGlobalConfig
Flag whether to include the OpenSAML global library-wide SignatureValidationConfiguration by default.

## Constructor Details

### SignatureValidationCriteriaSetFactoryBean

public SignatureValidationCriteriaSetFactoryBean()

## Method Details

### setSignatureValidationConfigurations

public void setSignatureValidationConfigurations(@Nullable List<SignatureValidationConfiguration> newConfigs)
Set the list of signature validation configuration.

Parameters:
  `newConfigs` - the list of configurations

### setSignatureValidationParametersResolver

public void setSignatureValidationParametersResolver(@Nullable SignatureValidationParametersResolver newResolver)
Set the parameters resolver instance to use.

If not supplied, an instance of `BasicSignatureValidationParametersResolver` will be used.

Parameters:
  `newResolver` - the parameters resolver

### setOtherCriteria

public void setOtherCriteria(@Nullable Collection<Criterion> newCriteria)
Other optional criteria to add to the returned set.

Parameters:
  `newCriteria` - the collection of criteria

### setIncludeOpenSAMLGlobalConfig

public void setIncludeOpenSAMLGlobalConfig(boolean flag)
Flag whether to effectively include the OpenSAML library-wide default SignatureValidationConfiguration in the list of configurations to process. If true, the config will be added at the lowest order of precedence.

Parameters:
  `flag` - the flag value

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<CriteriaSet>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `FactoryBean<CriteriaSet>`

### getObject

@Nonnull public CriteriaSet getObject() throws Exception

Specified by:
  `getObject` in interface `FactoryBean<CriteriaSet>`
Throws:
  `Exception`